{pkgs, ...}: {
  plugins = {
    lualine.enable = true;
    undotree.enable = true;
    bufferline.enable = true;
    web-devicons.enable = true;
  };
  
  plugins.gitsigns = {
    enable = true;
    settings.current_line_blame = true;
  };

  plugins.lsp = {
    enable = true;
    servers = {
      rust_analyzer = {
        enable = true;
	installRustc = false;
	installCargo = false;
      };
      nil_ls.enable = true;
    };
  };
  plugins.treesitter = {
    enable = true;
    settings.highlight.enable = true;
  };

  colorschemes.catppuccin = {
    enable = true;
    settings.flavor = "frappe";
  };

  extraPlugins = ( with pkgs.vimPlugins; [
    vim-be-good
  ]);
}
